<?php
/**
 * ReDJ Community component for Joomla
 *
 * @author selfget.com (info@selfget.com)
 * @package ReDJ
 * @copyright Copyright 2009 - 2012
 * @license GNU Public License
 * @link http://www.selfget.com
 * @version 1.5.7
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport('joomla.application.component.model');

class ReDJModelItemErrors extends JModel
{
  /**
   * Method to remove a itemerrors
   *
   * @access  public
   * @return  boolean  True on success
   * @since  1.5
   */
  function delete($cid = array())
  {
    if (count( $cid ))
    {
      JArrayHelper::toInteger($cid);
      $cids = implode(',', $cid);
      $query = 'DELETE FROM #__redj_errors'
        . ' WHERE id IN ( '.$cids.' )';
      $this->_db->setQuery( $query );
      if(!$this->_db->query()) {
        $this->setError($this->_db->getErrorMsg());
        return false;
      }
    }

    return true;
  }

  /**
   * Method to purge all itemerrors
   *
   * @access  public
   * @return  boolean  True on success
   * @since  1.5
   */
  function purge()
  {
    $query = 'TRUNCATE TABLE #__redj_errors';
    $this->_db->setQuery( $query );
    if(!$this->_db->query()) {
      $this->setError($this->_db->getErrorMsg());
      return false;
    }

    return true;
  }
}
?>
