<?php
/**
 * ReDJ Community component for Joomla
 *
 * @author selfget.com (info@selfget.com)
 * @package ReDJ
 * @copyright Copyright 2009 - 2012
 * @license GNU Public License
 * @link http://www.selfget.com
 * @version 1.5.7
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/*
 * Make sure the user is authorized to view this page
 */
//$user = & JFactory::getUser();
//if (!$user->authorize( 'com_redj', 'manage' )) {
//    $mainframe->redirect( 'index.php', JText::_('ALERTNOTAUTH') );
//}

// Set the table directory
JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_redj'.DS.'tables');

$controllerName = JRequest::getCmd( 'controller', 'redj' );

switch ($controllerName)
{
  default:
    $controllerName = 'redj';
    // allow fall through

  case 'redj' :
  case 'pages404':
  case 'errors':
  case 'referers':
    // Temporary interceptor
    $task = JRequest::getCmd('task');

require_once( JPATH_COMPONENT.DS.'controllers'.DS.$controllerName.'.php' );
$controllerName = 'ReDJController'.$controllerName;

// Create the controller
$controller = new $controllerName();

// Perform the Request task
$controller->execute( JRequest::getCmd('task') );

// Redirect if set by the controller
$controller->redirect();
break;
}
?>
