<?php
/**
 * ReDJ Community component for Joomla
 *
 * @author selfget.com (info@selfget.com)
 * @package ReDJ
 * @copyright Copyright 2009 - 2012
 * @license GNU Public License
 * @link http://www.selfget.com
 * @version 1.5.7
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Include library dependencies
jimport('joomla.filter.input');

/**
* ReDJ Errors Table class
*
* @package ReDJ
*
*/
class TableItemErrors extends JTable
{
 /**
  * Primary Key
  *
  * @var int
  */
 var $id = null;

 /**
  * @var string
  */
 var $visited_url = null;

 /**
  * @var int
  */
 var $error_code = null;

 /**
  * @var int
  */
 var $hits = null;

 /**
  * @var datetime
  */
 var $last_visit = null;

 /**
   * @var string
   */
  var $last_referer = null;

 /**
  * Constructor
  *
  * @param object Database connector object
  * @since 1.0
  */
 function __construct(& $db) {
  parent::__construct('#__redj_errors', 'id', $db);
 }

}
?>
