<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php JHTML::_('behavior.tooltip'); ?>

<?php // Add tooltip style
$document =& JFactory::getDocument();
$document->addStyleDeclaration( '.tool-text {word-wrap: break-word !important;}' );
?>

<?php
  // Set toolbar items for the page
  JToolBarHelper::title( JText::_( 'ReDJ Manager' ), 'generic.png' );
  JToolBarHelper::custom('purge', 'trash.png', 'trash.png', 'Purge', false, false);
  JToolBarHelper::deleteList();
  JToolBarHelper::preferences('com_redj', '380');
?>

<script language="javascript" type="text/javascript">
<!--
	function submitbutton(pressbutton) {
		if (pressbutton == 'purge') {
				if ( confirm("<?php echo JText::_( 'PURGECONFIRM', false ); ?>") ) {
						submitform('purge');
				}
		} else {
				submitform(pressbutton);
		}
	}
//-->
</script>

<form action="index.php" method="post" name="adminForm">
<table>
<tr>
  <td align="left" width="100%">
    <?php echo JText::_( 'Filter' ); ?>:
    <input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
    <button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
    <button onclick="document.getElementById('search').value='';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
  </td>
  <td nowrap="nowrap">
    <?php
      echo $this->lists['decode'];
    ?>
  </td>
</tr>
</table>
<div id="editcell" style="overflow-x:scroll">
  <table class="adminlist">
  <thead>
    <tr>
      <th width="4%">
        <?php echo JText::_( 'NUM' ); ?>
      </th>
      <th width="4%">
        <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
      </th>
      <th width="4%" nowrap="nowrap">
        <?php echo JHTML::_('grid.sort', 'ID', 'e.id', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="35%">
        <?php echo JHTML::_('grid.sort', 'Visited URL', 'e.visited_url', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="6%">
        <?php echo JHTML::_('grid.sort', 'Error Code', 'e.error_code', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="5%">
        <?php echo JHTML::_('grid.sort', 'Hits', 'e.hits', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="7%">
        <?php echo JHTML::_('grid.sort', 'Last Visit', 'e.last_visit', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="35%">
        <?php echo JHTML::_('grid.sort', 'Last Referer', 'e.last_referer', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
    </tr>
  </thead>
  <tfoot>
    <tr>
      <td colspan="8">
        <?php echo $this->pagination->getListFooter(); ?>
      </td>
    </tr>
  </tfoot>
  <tbody>
  <?php
  $k = 0;
    if( count( $this->items ) > 0 ) {
      for ($i=0, $n=count( $this->items ); $i < $n; $i++)
        {
            $row = &$this->items[$i];

            $checked = JHTML::_('grid.checkedout', $row, $i);
            ?>
            <tr class="<?php echo "row$k"; ?>">
                <td>
                    <?php echo $this->pagination->getRowOffset( $i ); ?>
                </td>
                <td align="center">
                    <?php echo $checked; ?>
                </td>
                <td align="center">
                    <?php echo $row->id; ?>
                </td>
                <td>
                    <?php if ($this->lists['decoded']) {
                      $content = urldecode($row->visited_url);
                      $tip = JText::_('Raw')."::".$row->visited_url;
                    } else {
                      $content = $row->visited_url;
                      $tip = JText::_('Decoded')."::".urldecode($row->visited_url);
                    } ?>
                    <span style="display:block; width:400px; word-wrap:break-word;" class="editlinktip hasTip" title="<?php echo $tip; ?>"><?php echo $content; ?></span>
                </td>
                <td>
                    <?php echo $row->error_code; ?>
                </td>
                <td>
                    <?php echo $row->hits; ?>
                </td>
                <td>
                    <?php echo $row->last_visit; ?>
                </td>
                <td>
                    <?php if ($this->lists['decoded']) {
                      $content = urldecode($row->last_referer);
                      $tip = JText::_('Raw')."::".$row->last_referer;
                    } else {
                      $content = $row->last_referer;
                      $tip = JText::_('Decoded')."::".urldecode($row->last_referer);
                    } ?>
                    <span style="display:block; width:400px; word-wrap:break-word;" class="editlinktip hasTip" title="<?php echo $tip; ?>"><?php echo $content; ?></span>
                </td>
            </tr>
            <?php
            $k = 1 - $k;
        }
    } else {
        ?>
        <tr>
        <td colspan="8">
            <?php echo JText::_( 'There are no items present' ); ?>
        </td>
        </tr>
        <?php
    }
  ?>
  </tbody>
  </table>
</div>

<input type="hidden" name="option" value="com_redj" />
<input type="hidden" name="controller" value="errors" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
