<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php JHTML::_('behavior.tooltip'); ?>

<?php // Add tooltip style
$document =& JFactory::getDocument();
$document->addStyleDeclaration( '.tool-text {word-wrap: break-word !important;}' );
$document->addStyleDeclaration( 'table.paramlist td.paramlist_key {width: 92px; text-align: left; height: 30px;}' );
?>

<?php
// Set toolbar items for the page
$edit = JRequest::getVar('edit',true);
$text = !$edit ? JText::_( 'New' ) : JText::_( 'Edit' );
JToolBarHelper::title( JText::_( 'Item' ).': <small>[ ' . $text.' ]</small>' );
JToolBarHelper::save();
JToolBarHelper::apply();
if (!$edit)  {
    JToolBarHelper::cancel();
} else {
    JToolBarHelper::cancel( 'cancel', 'Close' );
}
?>

<script language="javascript" type="text/javascript">
    <!--
    function submitbutton(pressbutton) {
        var form = document.adminForm;
        if (pressbutton == 'cancel') {
            submitform( pressbutton );
            return;
        }

        // do field validation
        if (form.title.value == ""){
            alert( "<?php echo JText::_( 'Please provide a valid title', true ); ?>" );
        } else {
            submitform( pressbutton );
        }
    }
    -->
</script>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="60%" valign="top">
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'Details' ); ?></legend>
        <table class="admintable">
        <tr>
            <td width="100" align="right" class="key">
                <label for="title">
                    <?php echo JText::_( 'TITLE' ); ?>:
                </label>
            </td>
            <td>
                <input class="text_area" type="text" name="title" id="title" size="130" maxlength="255" value="<?php echo $this->itempages404->title;?>" />
            </td>
        </tr>
        <tr>
            <td align="right" class="key">
                <label for="language">
                    <?php echo JText::_( 'LANGUAGE' ); ?>:
                </label>
            </td>
            <td>
                <input class="text_area" type="text" name="language" id="language" size="50" maxlength="5" value="<?php echo $this->itempages404->language;?>" />
            </td>
        </tr>
        <tr>
            <td align="right" class="key">
                <label for="page">
                    <?php echo JText::_( 'PAGE' ); ?>:
                </label>
            </td>
            <td>
                <textarea class="inputbox" cols="73" rows="10" name="page" id="page"><?php echo $this->itempages404->page;?></textarea>
            </td>
        </tr>
        <tr>
            <td align="right" class="key">
                <label for="hits">
                    <?php echo JText::_( 'Hits' ); ?>:
                </label>
            </td>
            <td>
                <input class="text_area" type="text" name="hits" id="hits" size="11" maxlength="11" value="<?php echo $this->itempages404->hits;?>" />
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="last_visit">
                    <?php echo JText::_( 'Last visit' ); ?>:
                </label>
            </td>
            <td>
                <?php $attribs = array('size' => '25');
                      echo JHTML::calendar($this->itempages404->last_visit, 'last_visit', 'last_visit', '%Y-%m-%d %H:%M:%S', $attribs);
                ?>
            </td>
        </tr>
    </table>
    </fieldset>
</td>
<td width="70%" valign="top">
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'Instructions' ); ?></legend>
        <?php
          echo JText::_( 'REDJ PAGES 404 MACRO DESC' );
        ?>
    </fieldset>
</td>
</tr>
</table>

<input type="hidden" name="option" value="com_redj" />
<input type="hidden" name="controller" value="pages404" />
<input type="hidden" name="cid[]" value="<?php echo $this->itempages404->id; ?>" />
<input type="hidden" name="task" value="" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
