<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php JHTML::_('behavior.tooltip'); ?>

<?php // Add tooltip style
$document =& JFactory::getDocument();
$document->addStyleDeclaration( '.tool-text {word-wrap: break-word !important;}' );
$document->addStyleDeclaration( 'table.paramlist td.paramlist_key {width: 92px; text-align: left; height: 30px;}' );
?>

<?php
// Set toolbar items for the page
$edit = JRequest::getVar('edit',true);
$text = !$edit ? JText::_( 'New' ) : JText::_( 'Edit' );
JToolBarHelper::title( JText::_( 'Item' ).': <small>[ ' . $text.' ]</small>' );
JToolBarHelper::save();
JToolBarHelper::apply();
if (!$edit)  {
    JToolBarHelper::cancel();
} else {
    JToolBarHelper::cancel( 'cancel', 'Close' );
}
?>

<script language="javascript" type="text/javascript">
    <!--
    function submitbutton(pressbutton) {
        var form = document.adminForm;
        if (pressbutton == 'cancel') {
            submitform( pressbutton );
            return;
        }

        // do field validation
        if (form.fromurl.value == ""){
            alert( "<?php echo JText::_( 'Please provide a valid url', true ); ?>" );
        } else {
            submitform( pressbutton );
        }
    }
    -->
</script>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="60%" valign="top">
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'Details' ); ?></legend>
        <table class="admintable">
        <tr>
            <td width="100" align="right" class="key">
                <label for="fromurl">
                    <?php echo JText::_( 'FROM URL' ); ?>:
                </label>
            </td>
            <td>
                <input class="text_area" type="text" name="fromurl" id="fromurl" size="130" maxlength="255" value="<?php echo $this->itemredj->fromurl;?>" />
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="published">
                    <?php echo JText::_( 'Published' ); ?>:
                </label>
            </td>
            <td>
                <?php echo $this->lists['published']; ?>
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="ordering">
                    <?php echo JText::_( 'Ordering' ); ?>:
                </label>
            </td>
            <td>
                <?php echo $this->lists['ordering']; ?>
            </td>
        </tr>
        <tr>
            <td align="right" class="key">
                <label for="tourl">
                    <?php echo JText::_( 'TO URL' ); ?>:
                </label>
            </td>
            <td>
                <input class="text_area" type="text" name="tourl" id="tourl" size="130" maxlength="255" value="<?php echo $this->itemredj->tourl;?>" />
            </td>
        </tr>
        <tr>
            <td align="right" class="key">
                <label for="redirect">
                    <?php echo JText::_( 'Redirect' ); ?>:
                </label>
            </td>
            <td>
              <?php
                $sel301 = ''; $sel307 = ''; $sel200 = '';
                switch ($this->itemredj->redirect) {
                  case 307:
                    $sel307 = 'selected="selected"';
                    break;
                  case 200:
                    $sel200 = 'selected="selected"';
                    break;
                  default:
                    $sel301 = 'selected="selected"';
                }
              ?>
              <select name="redirect" id="redirect" class="inputbox" size="1">
                <option value="301" <?php echo $sel301; ?>>301 (Moved Permanently)</option>
                <option value="307" <?php echo $sel307; ?>>307 (Temporary Redirect)</option>
                <option value="200" <?php echo $sel200; ?>>200 (Internal redirect)</option>
              </select>
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="case_sensitive">
                    <?php echo JText::_( 'Case sensitive' ); ?>:
                </label>
            </td>
            <td>
                <input type="checkbox" name="case_sensitive" id="case_sensitive" <?php echo ( $this->itemredj->case_sensitive ) ? 'checked="checked"' : '';?> />
            </td>
        </tr>
        <tr>
            <td align="right" class="key">
                <label for="hits">
                    <?php echo JText::_( 'Hits' ); ?>:
                </label>
            </td>
            <td>
                <input class="text_area" type="text" name="hits" id="hits" size="11" maxlength="11" value="<?php echo $this->itemredj->hits;?>" />
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="last_visit">
                    <?php echo JText::_( 'Last visit' ); ?>:
                </label>
            </td>
            <td>
                <?php $attribs = array('size' => '25');
                      echo JHTML::calendar($this->itemredj->last_visit, 'last_visit', 'last_visit', '%Y-%m-%d %H:%M:%S', $attribs);
                ?>
            </td>
        </tr>
    </table>
    </fieldset>
</td>
<td width="70%" valign="top">
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'Instructions' ); ?></legend>
        <?php
          $errordocument = '<b>ErrorDocument 404 ' . JURI::root(true) . '/</b>';
          echo JText::sprintf('REDJ MACRO DESC', $errordocument);
        ?>
    </fieldset>
</td>
</tr>
<tr>
  <td colspan="2" width="100%" valign="top">
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'REDJ SUPPORTED MACRO' ); ?></legend>
        <?php
          echo JText::_( 'REDJ SUPPORTED MACRO DESC' );
        ?>
    </fieldset>
  </td>
</tr>
</table>

<input type="hidden" name="option" value="com_redj" />
<input type="hidden" name="controller" value="redj" />
<input type="hidden" name="cid[]" value="<?php echo $this->itemredj->id; ?>" />
<input type="hidden" name="task" value="" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
