<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php JHTML::_('behavior.tooltip'); ?>

<?php // Add tooltip style
$document =& JFactory::getDocument();
$document->addStyleDeclaration( '.tool-text {word-wrap: break-word !important;}' );
?>

<?php
  // Set toolbar items for the page
  JToolBarHelper::title( JText::_( 'ReDJ Manager' ), 'generic.png' );
  JToolBarHelper::customX( 'copy', 'copy.png', 'copy_f2.png', 'Copy' );
  JToolBarHelper::deleteList();
  JToolBarHelper::editListX();
  JToolBarHelper::addNewX();
  JToolBarHelper::preferences('com_redj', '380');
?>

<form action="index.php" method="post" name="adminForm">
<table>
<tr>
  <td align="left" width="100%">
    <?php echo JText::_( 'Filter' ); ?>:
    <input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
    <button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
    <button onclick="document.getElementById('search').value='';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
  </td>
  <td nowrap="nowrap">
    <?php
      echo $this->lists['state'];
    ?>
  </td>
</tr>
</table>
<div id="editcell">
  <table class="adminlist">
  <thead>
    <tr>
      <th width="4%">
        <?php echo JText::_( 'NUM' ); ?>
      </th>
      <th width="4%">
        <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
      </th>
      <th width="4%" nowrap="nowrap">
        <?php echo JHTML::_('grid.sort', 'ID', 'p.id', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="20%">
        <?php echo JHTML::_('grid.sort', 'Title', 'p.title', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="20%">
        <?php echo JHTML::_('grid.sort', 'Language', 'p.language', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="36%">
        <?php echo JText::_( 'Page' ); ?>
      </th>
      <th width="5%">
        <?php echo JHTML::_('grid.sort', 'Hits', 'p.hits', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="7%">
        <?php echo JHTML::_('grid.sort', 'Last Visit', 'p.last_visit', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
    </tr>
  </thead>
  <tfoot>
    <tr>
      <td colspan="8">
        <?php echo $this->pagination->getListFooter(); ?>
      </td>
    </tr>
  </tfoot>
  <tbody>
  <?php
  $k = 0;
    if( count( $this->items ) > 0 ) {
      for ($i=0, $n=count( $this->items ); $i < $n; $i++)
        {
            $row = &$this->items[$i];

            $link = JRoute::_( 'index.php?option=com_redj&controller=pages404&view=itempages404&task=edit&cid[]='. $row->id );

            $checked = JHTML::_('grid.checkedout', $row, $i);
            ?>
            <tr class="<?php echo "row$k"; ?>">
                <td>
                    <?php echo $this->pagination->getRowOffset( $i ); ?>
                </td>
                <td align="center">
                    <?php echo $checked; ?>
                </td>
                <td align="center">
                    <?php echo $row->id; ?>
                </td>
                <td align="left">
                    <?php
                    $max_chars = 30;
                    if( strlen( $row->title ) > $max_chars ) {
                        $row_title = substr( $row->title, 0, $max_chars ) . ' ...' ;
                    } else {
                        $row_title = $row->title;
                    }
                    if (  JTable::isCheckedOut($this->user->get ('id'), $row->checked_out ) ) {
                        echo $row_title;
                    } else {
                    ?>
                        <a href="<?php echo $link; ?>" title="<?php echo JText::_( 'Edit List' ); ?>">
                            <?php echo $row_title; ?></a>
                    <?php
                    }
                    ?>
                </td>
                <td align="left">
                    <?php
                    $max_chars = 30;
                    if( strlen( $row->language ) > $max_chars ) {
                        $row_language = substr( $row->language, 0, $max_chars ) . ' ...' ;
                    } else {
                        $row_language = $row->language;
                    }
                    if (  JTable::isCheckedOut($this->user->get ('id'), $row->checked_out ) ) {
                        echo $row_language;
                    } else {
                    ?>
                        <a href="<?php echo $link; ?>" title="<?php echo JText::_( 'Edit List' ); ?>">
                            <?php echo $row_language; ?></a>
                    <?php
                    }
                    ?>
                </td>
                <td align="left">
                    <?php
                    $max_chars = 100;
                    $row_page = strip_tags($row->page);
                    if( strlen( $row_page ) > $max_chars ) {
                        $row_page = substr( $row_page, 0, $max_chars ) . ' ...' ;
                    }
                    if (  JTable::isCheckedOut($this->user->get ('id'), $row->checked_out ) ) {
                        echo $row_page;
                    } else {
                    ?>
                        <a href="<?php echo $link; ?>" title="<?php echo JText::_( 'Edit List' ); ?>">
                            <?php echo $row_page; ?></a>
                    <?php
                    }
                    ?>
                </td>
                <td align="center">
                    <?php echo $row->hits; ?>
                </td>
                <td>
                    <?php echo $row->last_visit; ?>
                </td>
            </tr>
            <?php
            $k = 1 - $k;
        }
    } else {
        ?>
        <tr>
        <td colspan="8">
            <?php echo JText::_( 'There are no items present' ); ?>
        </td>
        </tr>
        <?php
    }
  ?>
  </tbody>
  </table>
</div>

<input type="hidden" name="option" value="com_redj" />
<input type="hidden" name="controller" value="pages404" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
