<?php
/**
 * ReDJ Community component for Joomla
 *
 * @author selfget.com (info@selfget.com)
 * @package ReDJ
 * @copyright Copyright 2009 - 2012
 * @license GNU Public License
 * @link http://www.selfget.com
 * @version 1.5.7
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.installer.installer');

$db = & JFactory::getDBO();
$query = 'SELECT `id`, `name` FROM #__plugins WHERE element = \'redj\' AND folder = \'system\'';
$db->setQuery($query);
$plugins = $db->loadObjectList();

if (count($plugins)) {
  foreach ($plugins as $plugin) {
    $installer = new JInstaller;
    if (!$installer->uninstall('plugin', $plugin->id, 0)) {
      echo('Plugin uninstallation failed');
      JError::raiseWarning(1, 'ReDJInstaller::uninstall(): Plugin ' . $plugin->name . ' uninstallation failed');
    } else {
      echo('Plugin ' . $plugin->name . ' uninstalled');
    }
  }
}

global $mainframe;
$mainframe->enqueueMessage( JText::_( 'NOTE: Database table \'#__redj\' was NOT removed to allow upgrades' ), 'notice' ) ;

?>
