<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php JHTML::_('behavior.tooltip'); ?>

<?php // Add tooltip style
$document =& JFactory::getDocument();
$document->addStyleDeclaration( '.tool-text {word-wrap: break-word !important;}' );
?>

<?php
  // Set toolbar items for the page
  JToolBarHelper::title( JText::_( 'ReDJ Manager' ), 'generic.png' );
  JToolBarHelper::publishList();
  JToolBarHelper::unpublishList();
  JToolBarHelper::customX( 'copy', 'copy.png', 'copy_f2.png', 'Copy' );
  JToolBarHelper::deleteList();
  JToolBarHelper::editListX();
  JToolBarHelper::addNewX();
  JToolBarHelper::preferences('com_redj', '380');
?>

<form action="index.php" method="post" name="adminForm">
<table>
<tr>
  <td align="left" width="100%">
    <?php echo JText::_( 'Filter' ); ?>:
    <input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
    <button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
    <button onclick="document.getElementById('search').value='';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
  </td>
  <td nowrap="nowrap">
    <?php
      echo $this->lists['state'];
    ?>
  </td>
</tr>
</table>
<div id="editcell" style="overflow-x:scroll">
  <table class="adminlist">
  <thead>
    <tr>
      <th width="4%">
        <?php echo JText::_( 'NUM' ); ?>
      </th>
      <th width="4%">
        <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
      </th>
      <th width="4%" nowrap="nowrap">
        <?php echo JHTML::_('grid.sort', 'ID', 'a.id', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="28%">
        <?php echo JHTML::_('grid.sort', 'From URL', 'a.fromurl', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="28%">
        <?php echo JHTML::_('grid.sort', 'To URL', 'a.tourl', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="5%">
        <?php echo JHTML::_('grid.sort', 'Redirect', 'a.redirect', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="5%" nowrap="nowrap">
        <?php echo JHTML::_('grid.sort', 'Case sensitive', 'a.case_sensitive', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="5%">
        <?php echo JHTML::_('grid.sort', 'Hits', 'a.hits', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="7%">
        <?php echo JHTML::_('grid.sort', 'Last Visit', 'a.last_visit', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
      <th width="5%" nowrap="nowrap">
        <?php echo JHTML::_('grid.sort', 'Order', 'a.ordering', $this->lists['order_Dir'], $this->lists['order'] ); ?>
        <?php echo JHTML::_('grid.order', $this->items ); ?>
      </th>
      <th width="5%" nowrap="nowrap">
        <?php echo JHTML::_('grid.sort', 'Published', 'a.published', $this->lists['order_Dir'], $this->lists['order'] ); ?>
      </th>
    </tr>
  </thead>
  <tfoot>
    <tr>
      <td colspan="11">
        <?php echo $this->pagination->getListFooter(); ?>
      </td>
    </tr>
  </tfoot>
  <tbody>
  <?php
  $k = 0;
    if( count( $this->items ) > 0 ) {
      for ($i=0, $n=count( $this->items ); $i < $n; $i++)
        {
            $row = &$this->items[$i];

            $link = JRoute::_( 'index.php?option=com_redj&controller=redj&view=itemredj&task=edit&cid[]='. $row->id );

            $checked = JHTML::_('grid.checkedout',   $row, $i);
            $published = JHTML::_('grid.published', $row, $i);

            $ordering = ($this->lists['order'] == 'a.ordering');
            ?>
            <tr class="<?php echo "row$k"; ?>">
                <td>
                    <?php echo $this->pagination->getRowOffset( $i ); ?>
                </td>
                <td align="center">
                    <?php echo $checked; ?>
                </td>
                <td align="center">
                    <?php echo $row->id; ?>
                </td>
                <td align="left">
                  <span style="display:block; width:370px; word-wrap:break-word;">
                    <?php
                    $max_chars = 100;
                    if( strlen( $row->fromurl ) > $max_chars ) {
                        $row_fromurl = substr( $row->fromurl, 0, $max_chars ) . ' ...' ;
                    } else {
                        $row_fromurl = $row->fromurl;
                    }
                    if (  JTable::isCheckedOut($this->user->get ('id'), $row->checked_out ) ) {
                        echo $row_fromurl;
                    } else {
                    ?>
                        <a href="<?php echo $link; ?>" title="<?php echo JText::_( 'Edit List' ); ?>">
                            <?php echo $row_fromurl; ?></a>
                    <?php
                    }
                    ?>
                  </span>
                </td>
                <td align="left">
                  <span style="display:block; width:370px; word-wrap:break-word;">
                    <?php
                    $max_chars = 100;
                    if( strlen( $row->tourl ) > $max_chars ) {
                        $row_tourl = substr( $row->tourl, 0, $max_chars ) . ' ...' ;
                    } else {
                        $row_tourl = $row->tourl;
                    }
                    if (  JTable::isCheckedOut($this->user->get ('id'), $row->checked_out ) ) {
                        echo $row_tourl;
                    } else {
                    ?>
                        <a href="<?php echo $link; ?>" title="<?php echo JText::_( 'Edit List' ); ?>">
                            <?php echo $row_tourl; ?></a>
                    <?php
                    }
                    ?>
                  </span>
                </td>
                <td align="center">
                    <?php echo $row->redirect; ?>
                </td>
                <td align="center">
                    <a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo ( $row->case_sensitive ) ? 'case_off' : 'case_on';?>')" title="<?php echo ( $row->case_sensitive ) ? JText::_( 'Yes' ) : JText::_( 'No' );?>">
                    <img src="images/<?php echo ( $row->case_sensitive ? 'tick.png' : 'publish_x.png' );?>" width="16" height="16" border="0" alt="<?php echo ( $row->case_sensitive ) ? JText::_( 'Yes' ) : JText::_( 'No' );?>" /></a>
                </td>
                <td align="center">
                    <?php echo $row->hits; ?>
                </td>
                <td>
                    <?php echo $row->last_visit; ?>
                </td>
                <td class="order">
                    <span><?php echo $this->pagination->orderUpIcon( $i, true,'orderup', 'Move Up', $ordering ); ?></span>
                    <span><?php echo $this->pagination->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', $ordering ); ?></span>
                    <?php $disabled = $ordering ?  '' : 'disabled="disabled"'; ?>
                    <input type="text" name="order[]" size="5" value="<?php echo $row->ordering;?>" <?php echo $disabled ?> class="text_area" style="text-align: center" />
                </td>
                <td align="center">
                    <?php echo $published;?>
                </td>
            </tr>
            <?php
            $k = 1 - $k;
        }
    } else {
        ?>
        <tr>
        <td colspan="11">
            <?php echo JText::_( 'There are no items present' ); ?>
        </td>
        </tr>
        <?php
    }
  ?>
  </tbody>
  </table>
</div>

<input type="hidden" name="option" value="com_redj" />
<input type="hidden" name="controller" value="redj" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
